Bug 164965 - editors/openoffice-3 fails to build in moz, nss, and connectivity modules
Summary: editors/openoffice-3 fails to build in moz, nss, and connectivity modules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-10 17:00 UTC by Jimmy Kelley
Modified: 2014-04-30 23:25 UTC (History)
0 users

See Also:


Attachments
file.diff (1.73 KB, patch)
2012-02-10 17:00 UTC, Jimmy Kelley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2012-02-10 17:00:27 UTC
OpenOffice.org-3 build fails in the moz and nss modules due to a conflict with an include file named mpi.h; there are two such files: one in the openoffice build area(s) (the one that needs to be used by the failing modules), and one in /usr/X11R6/include.  Modifying the appropriate Makefiles to have the include search path look in the build area BEFORE looking in other system areas fixes this problem.
The build next fails in the connectivity module due to a char const * to sal_Char conversion error.

Fix: The attached patches, applied to the build area as the failures happen, got me a completed build that successfully installs and runs.  

Patch attached with submission follows:
How-To-Repeat: Attempt to build openoffice.org-3 from the ports.
Comment 1 Edwin Groothuis freebsd_committer 2012-02-15 04:01:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pedro F. Giffuni freebsd_committer 2014-04-30 23:23:52 UTC
State Changed
From-To: open->closed

openoffice-3 is not available anymore. 
All efforts are focused on openoffice-4 now. 
Recent versions use an updated nss and have dropped Mozilla.